Class {
	#name : #GrafoscopioNewCodeModel,
	#superclass : #SpPresenter,
	#instVars : [
		'body'
	],
	#category : #'Grafoscopio-New-UI'
}

{ #category : #specs }
GrafoscopioNewCodeModel class >> defaultSpec [
	^ SpBoxLayout newVertical
		add: #body;
		yourself
]

{ #category : #accessing }
GrafoscopioNewCodeModel >> body [
	^ body
]

{ #category : #accessing }
GrafoscopioNewCodeModel >> body: anObject [
	body := anObject
]

{ #category : #API }
GrafoscopioNewCodeModel >> content: aGrafoscopioNodeContent [
	body text: aGrafoscopioNodeContent
]

{ #category : #'as yet unclassified' }
GrafoscopioNewCodeModel >> extractHtmlImages [
	"comment stating purpose of message"
	|imgSoup imgHost imgList src|

	imgList := Set new.
	imgSoup := Soup fromString: self body.
	(imgSoup findAllTags: 'img') do: [ :each|	
			src := (each attributeAt: 'src') asUrl.
			(src host) ifNil: [src host: self links last asUrl removeLastPathSegment].
			imgList add: src. 
			"imgList add: (each attributeAt: 'src') asUrl."
	
	  "OSProcess waitForCommand: 'wget ', (each attributeAt: 'src')."
	"imgHost := self links last removeLastPathSegment."
	
	"imgPath:= ((each attributeAt: 'src') asUrl). "
	"ZnEasy getJpeg: (imgHost , imgPath) asUrl."
	
	"OSProcess waitForCommand: ('mkdir ', imgPath)."
	
	"Transcript  show: ' wget ', imgPath , '/',(each attributeAt: 'src').	"
	]. 
	^imgList .
]

{ #category : #initialization }
GrafoscopioNewCodeModel >> initializeWidgets [

	body := self newCode.
]
