Class {
	#name : #GrafoscopioNewTextModel,
	#superclass : #SpPresenter,
	#instVars : [
		'body'
	],
	#category : #'Grafoscopio-New-UI'
}

{ #category : #specs }
GrafoscopioNewTextModel class >> defaultSpec [
	^ SpBoxLayout newVertical
		add: #body;
		yourself
]

{ #category : #accessing }
GrafoscopioNewTextModel >> body [
	^ body
]

{ #category : #accessing }
GrafoscopioNewTextModel >> body: anObject [
	body := anObject
]

{ #category : #API }
GrafoscopioNewTextModel >> content: aGrafoscopioNodeContent [
	body text: aGrafoscopioNodeContent
]

{ #category : #initialization }
GrafoscopioNewTextModel >> initializeWidgets [

	body := self newText.
	body autoAccept: true.
]
